#
# spec file for package libredwg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libredwg
Version:        0.7
Release:        lp151.1.1
Summary:        A library to handle DWG files
License:        GPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://www.gnu.org/software/libredwg/
Source:         https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.xz
Source2:        https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.xz.sig
Source3:        http://savannah.gnu.org/people/viewgpg.php?user_id=101103#/%{name}.keyring
Source4:        %{name}-rpmlintrc
BuildRequires:  pkgconfig

%description
GNU LibreDWG is a C library to handle DWG files. It can replace the
OpenDWG libraries. DWG is the native file format of AutoCAD.

%package tools
Summary:        Command line utilities for handling DWG file
Group:          Productivity/File utilities
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
# Both packages ship a /usr/bin/dwg2dxf
Conflicts:      libdxfrw-tools

%description tools
GNU LibreDWG is a C library to handle DWG files. It can replace the
OpenDWG libraries. DWG is the native file format of AutoCAD.

This package contains some command line utilities using this library.

%package devel
Summary:        Development files for libredwg
Group:          Development/Libraries/C and C++
Requires:       %{name}0 = %{version}

%description devel
GNU LibreDWG is a C library to handle DWG files. It can replace the
OpenDWG libraries. DWG is the native file format of AutoCAD.

This package contains the files required for development with libredwg.

%package -n %{name}0
Summary:        A library to handle DWG files
Group:          System/Libraries

%description -n %{name}0
GNU LibreDWG is a C library to handle DWG files. It can replace the
OpenDWG libraries. DWG is the native file format of AutoCAD.

%prep
%setup -q

%build
%configure \
	--disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post tools
%install_info --info-dir=%{_infodir} %{_infodir}/LibreDWG.info.gz

%preun tools
%install_info_delete --info-dir=%{_infodir} %{_infodir}/LibreDWG.info.gz

%post -n %{name}0 -p /sbin/ldconfig
%postun -n %{name}0 -p /sbin/ldconfig

%files tools
%license COPYING
%{_bindir}/dwg*
%{_mandir}/man?/*.1%{?ext_man}
%{_infodir}/LibreDWG.info%{?ext_info}

%files devel
%license COPYING
%doc AUTHORS ChangeLog README README-alpha TODO
%{_includedir}/*.h
%{_libdir}/libredwg.so
%{_libdir}/pkgconfig/libredwg.pc

%files -n %{name}0
%license COPYING
%{_libdir}/*.so.*

%changelog
* Mon Dec 10 2018 astieger@suse.com
- update to 0.7:
  * add API to retrieve all objects in a DWG
  * various API breaking changes
  * Various fixes for memory leaks and double free and other issues
* Sat Nov 10 2018 astieger@suse.com
- update to 0.6.2:
  * Improved handling of DWG files found in the wild
* Tue Aug 14 2018 astieger@suse.com
- update to 0.6:
  * API breaking changes:
    + Removed dwg_obj_proxy_get_reactors(), use dwg_obj_get_reactors() instead.
    + Renamed SORTENTSTABLE.owner_handle to SORTENTSTABLE.owner_dict.
    + Renamed all -as-rNNNN program options to --as-rNNNN.
  * a number of bug fixes, correctness fixes and memory leak fixes
  * Add support for more DWG objects
  * Add pkg-config file
- drop patches (upstream): CVE-2018-14524.patch, CVE-2018-14471.patch
* Thu Aug  9 2018 astieger@suse.com
- CVE-2018-14524: double free (boo#1102702)
  add CVE-2018-14524.patch
- CVE-2018-14471: NULL pointer dereference DoS (boo#1102696)
  add CVE-2018-14471.patch
* Sat Jul 14 2018 jengelh@inai.de
- Trim redundant wording and future aims.
* Tue Jul 10 2018 astieger@suse.com
- initial version (0.5)
